Blog Details

Zest LogicWooCommerce Blocks version support policy reviewed.
zlogicmaster July 29, 2021
Photo by Markus Winkler on Unsplash

People using WooCommerce Blocks for their store should prepare for some changes since the recently announced updates to the version support policy may affect their workflow.

Earlier WooCommerce Blocks were compatible with the two latest versions of WordPress and WooCommerce. For example, for the today’s version of this software, it means that it is compatible with WordPress from 5.6 to 5.8 and WooCommerce from 5.3 to 5.5.

But starting from the next version of Blocks (5.6.0), it will be compatible with the latest versions of WordPress and WooCommerce only (5.8 and 5.5, respectively).

This change is expected to lead to several significant improvements, such as:

  • decreased codebase complexity. Less supported versions mean less time spent for workarounds and adjustments to make new features work on older versions. Also, the new code can be reviewed deeper.
  • more reasons to keep the store up to date. It may be a bit difficult for the store owners. However, it is still worth the effort for numerous reasons, such as new features, security updates, and improved user experience in the latest software versions.
  • deeper collaboration with Gutenberg plugin developers. WooCommerce Blocks team will be able to participate in active development, contribute to its evolution, and provide feedback to improve the whole ecosystem.

The obvious downside for the store owners who still stay on the older versions is spending more time on updates. Starting from WooCommerce Blocks 5.6, the update won’t be available on non-compatible environments. Trying to implement workarounds (such as adding the files via FTP) will lead to issues with activation or missing features that can’t be enabled. That’s why it is so vital to ensure that your system is up to date. This may be inconvenient for small teams, but no need to worry! We can lend you a hand to help with your system. Updates, patches, customizations – everything can be handled by the team of our skilled certified developers. Don’t hesitate to contact us!